<cfset coldSpringWorks = false />
<cfset csProp = getProperty("coldSpringProperty")>
<cfif isStruct( csProp ) >
	<cfset cs = getProperty( csProp.getParameter('beanFactoryPropertyName') ) />
	<cfif isStruct( cs ) and structKeyExists( cs, "getBean" )>
		<cfset coldSpringWorks = true />
	</cfif>
</cfif>
<h1>Success!</h1>
<p>You have successfully installed the Mach-II application skeleton.</p>

<cfif coldSpringWorks>
<h1>Success!</h1>
<p>You have successfully installed ColdSpring in Mach-II.</p>
<p>Use <strong><cfoutput>getProperty("#csProp.getParameter('beanFactoryPropertyName') #")</cfoutput></strong> to access the ColdSpring framework.
<cfelse>
<h1>Info</h1>
<p>ColdSpring is not installed. If you expected ColdSpring to work, check your configuration. This Mach-II skeleton is compatible with <a href="http://coldspringframework.org/index.cfm?objectid=2DD544DF-E8F4-83AA-E2D7FED1F1B53FAE" target="_new">ColdSpring 1.2RC1</a> or
higher. If you didn't install ColdSpring, maybe you should <a href="http://www.coldspringframework.org/" target="_new">download and install ColdSpring</a></p>
  
</cfif>


<h1>Next Steps</h1>
<p>Just a few more thing to convert this skeleton to your application.</p>
<ul>
	<li>Edit the Application.cfm/cfc file and change application name of your application.</li>
</ul>
<p>Start building your Mach-II application. The Mach-II configuration file is found at \config\mach-ii.xml</p>
<ul>
	<li>Add and edit any event-handlers.
		<ul>
			<li>Note: The current defaultEvent property is DEFAULT_EVENT.</li>
			<li>Note: The current DEFAULT_EVENT Event Handler simply calls this view. This view is found at \views\home.cfm</li>
		</ul>
	</li>
	<li>Add any listeners.</li>
	<li>Add any event-filters.</li>
	<li>Add any plugins.</li>
</ul>

<h1>Need Help?</h1>
<ul>
	<li>Refer to the configuration guide which is found in the /docs folder of 
		the core Mach-II framework download for further information.</li>
	<li>Check out the Mach-II Frequently Asked Questions (FAQs) at the 
		<a href="http://www.mach-ii.com" target="_blank">Mach-II website</a>.</li>
	<li>Join the <a href="http://groups-beta.google.com/group/mach-ii-for-coldfusion?hl=en">Mach-II 
		listserv</a> at Google Groups where you can ask questions and seek 
		advice from other Mach-II developers.</li>
</ul>